<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@Page Language="VB"%>
<%@Register TagPrefix="ANet" TagName="Footer" Src="includes/footer.ascx"%>

<!-- 
# nome:             ListControls.aspx
# scritto da:       Antonio Volpon
# data creazione:   06 Novembre 2001
# ultima modifica:  06 Novembre 2001
# copyright:        Antonio Volpon
-->

<script language="vb" runat="server">

Sub Page_Load(sender as Object, e as EventArgs)

	'Se il Mango non e' gia' presente, lo aggiungo
	Dim lsiFrutto as New ListItem("Mango","Ma")
	If Not frutti.Items.Contains(lsiFrutto) Then
    	frutti.Items.Add(lsiFrutto)
    End If
    
	'Aggiungo altri artisti
    Dim i as integer
    Dim aArtisti As String(,) = New String(,) {{"Dal","Da"}, {"Magritte","Ma"}, {"Mir","Mi"}}
    
    For i = 0 to UBound(aArtisti)
		If Not artisti.Items.Contains(New ListItem(aArtisti(i,0),aArtisti(i,1))) Then
    		artisti.Items.Add(New ListItem(aArtisti(i,0),aArtisti(i,1)))
    	End If
	Next i
	
End Sub

Sub Button1_Click(sender As Object, e As EventArgs)
	risposta.Text = "Hai selezionato '" & frutti.SelectedItem.Text & "' con valore '" & frutti.SelectedItem.Value & "'."
End Sub 

Sub Button2_Click(sender As Object, e As EventArgs)
	
	Dim objElemento as ListItem
	Dim strMessaggio as String
	
	For Each objElemento in artisti.Items
		If objElemento.Selected Then
			strMessaggio += "Hai selezionato '" & objElemento.Text & "' con valore '" & objElemento.Value & "'.<br />"
		End If
	Next
	
	risposta.Text = strMessaggio
	
End Sub 

Sub Button3_Click(Source As Object, e As EventArgs)
    If sport.SelectedIndex > - 1 Then
        risposta.Text = "Hai selezionato il radiobutton '" & sport.SelectedItem.Text & "'."
    End If
End Sub

Sub chkOrientamento_CheckedChanged(sender As Object, e As EventArgs)        
	If sender.Checked = True Then
		sport.RepeatDirection = RepeatDirection.Horizontal
	Else
		sport.RepeatDirection = RepeatDirection.Vertical
	End If
End Sub

</script>

<html>
	<head>
		<link rel="stylesheet" href="css/aspnet.css" type="text/css">
		</link>
		<title>I List Controls</title>
	</head>
	
	<body>
		<div class="titolo">
			I List Controls
		</div>
		
		<hr noshade="true" size="1" width="100%">
		
	   <center>
	   
	   <form runat="server">
			
		<div class="titolo">DropDownList Control</div>
		
		  <p>Selezionare una voce dall'elenco</p>

		  <asp:DropDownList id="frutti" runat="server">
			 <asp:ListItem value="Fr">Fragola</asp:ListItem>
			 <asp:ListItem value="La">Lampone</asp:ListItem>
			 <asp:ListItem value="Ci">Ciliegia</asp:ListItem>
		  </asp:DropDownList>

		  <br /><br />

		  <asp:Button id="button1" Text="Invia" OnClick="Button1_Click" runat="server"/>

		  <br /><br />
				  
		<div class="titolo">ListBox Control</div>

		  <p>Selezionare una voce dall'elenco</p>

		  <asp:ListBox id="artisti" rows="2" selectionmode="Multiple" runat="server">
			 <asp:ListItem value="Pi">Picasso</asp:ListItem>
			 <asp:ListItem value="Kl">Klee</asp:ListItem>
			 <asp:ListItem value="Mo">Modigliani</asp:ListItem>
		  </asp:ListBox>

		  <br /><br />

		  <asp:Button id="button2" Text="Invia" OnClick="Button2_Click" runat="server"/>
		  
		  <br /><br />
		  
		<div class="titolo">RadioButtonList Control</div>
		
		  <br /><br />
		  
          <asp:RadioButtonList id="sport" class="txt" runat="server">
            <asp:ListItem>Tennis</asp:ListItem>
            <asp:ListItem>Calcio</asp:ListItem>
            <asp:ListItem selected="true">Nuoto</asp:ListItem>
            <asp:ListItem>Vela</asp:ListItem>
            <asp:ListItem>Basket</asp:ListItem>
            <asp:ListItem>Pallavolo</asp:ListItem>
          </asp:RadioButtonList>
 
          <p>
                 
          <asp:CheckBox id="chkOrientamento" class="txt" OnCheckedChanged="chkOrientamento_CheckedChanged" AutoPostBack="true" Text="Orizzontale" runat="server" />
 
          <p>
         
          <asp:Button id="button3" Text="Invia" onclick="Button3_Click" runat="server"/>
 
          <p>
         
          <asp:Label id=Label1 font-name="Verdana" font-size="8pt" runat="server"/>
		  

	   </form>
	   
	   <asp:Label id="risposta" class="risposta" runat="server"/>
		  
	   </center>

       <ANet:Footer id="Menu" runat="server" />
	   
	</body>
	
</html>